SQLRelationshipExtractor
Keywords: uk.ac.ic.doc.automed.matching.SQLRelationshipExtractor,SQLRelationshipExtractor class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching
Class SQLRelationshipExtractor

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.matching.RelationshipExtractor
            |
            +--uk.ac.ic.doc.automed.matching.SQLRelationshipExtractor

public class SQLRelationshipExtractor
extends RelationshipExtractor

Field Summary
`protected java.util.ArrayList[]` | `columns`
`protected java.util.ArrayList[]` | `pks`
`protected java.util.ArrayList[]` | `tables`

Constructor Summary
`SQLRelationshipExtractor()`

Method Summary
`protected SchemaObject[]` | `getColumns(SchemaObject table, java.util.ArrayList columns)`
`protected SchemaObject` | `getPK(SchemaObject table, java.util.ArrayList pks)`
`protected SchemaObject[]` | `getPKColumns(SchemaObject table, java.util.ArrayList pks)`
`SchemaElementPairRelationship[]` | `getRelationships()`
`void` | `setSchemas(Schema[] schemas)`

Methods inherited from class uk.ac.ic.doc.automed.matching.RelationshipExtractor
`combineRelationships, containsRelationship, findAtomicRelationships, findAtomicRelationships, getAllCombinations, getAtomicRelationship, getAtomicRelationshipCombinations, getNonAtomicRelationship, getRelationship, getRelationship, getRelationships, getWeakestRelationship, removeDuplicates, reverseRelationshipPair, reverseRelationshipPairs, setAtomicPairRelationships, setNonAtomicPairRelationships`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tables

    protected java.util.ArrayList[] tables

### pks

    protected java.util.ArrayList[] pks

### columns

    protected java.util.ArrayList[] columns

Constructor Detail

### SQLRelationshipExtractor

    public SQLRelationshipExtractor()

Method Detail

### setSchemas

    public void setSchemas(Schema[] schemas)

  Specified by:
    `setSchemas` in class `RelationshipExtractor`

### getRelationships

    public SchemaElementPairRelationship[] getRelationships()
                                                     throws RelationshipExtractorException

  Specified by:
    `getRelationships` in class `RelationshipExtractor`
    `RelationshipExtractorException`

### getPKColumns

    protected SchemaObject[] getPKColumns(SchemaObject table,
                                          java.util.ArrayList pks)
                                   throws RelationshipExtractorException

    `RelationshipExtractorException`

### getPK

    protected SchemaObject getPK(SchemaObject table,
                                 java.util.ArrayList pks)

### getColumns

    protected SchemaObject[] getColumns(SchemaObject table,
                                        java.util.ArrayList columns)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD